| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/os-security-group-rules/{security_group_rule_id} | Shows information for a specified security group rule. |
Normal response codes: 200
This table shows the URI parameters for the show default security group rule information request:
| Name | Type | Description |
|---|---|---|
| String | The unique identifier of the tenant or account. |
| Uuid | The unique identifier of the security group rule. |
This operation does not require a request body.
Example 3.297. Show default security group rule: JSON response
{
"security_group_default_rule": {
"id": 1,
"from_port": 80,
"to_port": 80,
"ip_protocol": "TCP",
"ip_range": {
"cidr": "10.10.10.0/24"
}
}
}Example 3.298. Show default security group rule: XML response
<?xml version='1.0' encoding='UTF-8'?>
<security_group_default_rule xmlns="http://docs.openstack.org/compute/api/v1.1" id="1">
<from_port>80</from_port>
<to_port>80</to_port>
<ip_protocol>TCP</ip_protocol>
<ip_range>
<cidr>10.10.10.0/24</cidr>
</ip_range>
</security_group_default_rule>This operation does not return a response body.

